| Face Engine SDK 5.2.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
fsdk::ILivenessOneShotRGBEstimator Struct Referenceabstract

OneShot RGB Liveness estimator interface. More...

`#include <ILivenessOneShotRGBEstimator.h>`

Inheritance diagram for fsdk::ILivenessOneShotRGBEstimator:

## Public Member Functions
virtual fsdk::Result < fsdk::FSDKError > | estimate (const fsdk::Image &image, const fsdk::Detection &detection, const fsdk::Landmarks5 &landmarks5, fsdk::LivenessOneShotRGBEstimation &estimation, const float &qualityThreshold=-1.f) const noexcept=0
| OneShot RGB Liveness estiamtion. More...
virtual fsdk::Result < fsdk::FSDKError > | estimate (fsdk::Span< const fsdk::Image > images, fsdk::Span< const fsdk::Detection > detections, fsdk::Span< const fsdk::Landmarks5 > landmarks5, fsdk::Span< fsdk::LivenessOneShotRGBEstimation > estimations, const float &qualityThreshold=-1.f) const noexcept=0
| OneShot RGB Liveness estiamtion. More...
virtual Result< FSDKError > | validate (fsdk::Span< const fsdk::Image > images, fsdk::Span< const fsdk::Detection > detections, Span< const Landmarks5 > landmarks5, Span< Result< FSDKError >> errors) const noexcept=0
| Validate input of multiple frames in a single function call. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

OneShot RGB Liveness estimator interface.

Note
  This estimator is designed for liveness detection.

## Member Function Documentation

virtual fsdk::Result<fsdk::FSDKError> fsdk::ILivenessOneShotRGBEstimator::estimate | ( | const fsdk::Image & | image,
|  | const fsdk::Detection & | detection,
|  | const fsdk::Landmarks5 & | landmarks5,
|  | fsdk::LivenessOneShotRGBEstimation & | estimation,
|  | const float & | qualityThreshold = `-1.f`
| ) |  | const
| pure virtual noexcept

OneShot RGB Liveness estiamtion.

Parameters

  [in] | image | input image. Format must be R8G8B8;
  [in] | detection | detection in the input image space;
  [in] | landmarks5 | Landmarks5 for the detection;
  [out] | estimation | estimation results.

See Also
  LivenessOneShotRGBEstimation

Parameters

  [in] | qualityThreshold | quality threshold;

Returns
  Error code

See Also
  FSDKError for details.

virtual fsdk::Result<fsdk::FSDKError> fsdk::ILivenessOneShotRGBEstimator::estimate | ( | fsdk::Span< const fsdk::Image > | images,
|  | fsdk::Span< const fsdk::Detection > | detections,
|  | fsdk::Span< const fsdk::Landmarks5 > | landmarks5,
|  | fsdk::Span< fsdk::LivenessOneShotRGBEstimation > | estimations,
|  | const float & | qualityThreshold = `-1.f`
| ) |  | const
| pure virtual noexcept

OneShot RGB Liveness estiamtion.

Parameters

  [in] | images | Span of images, format of images must be R8G8B8;
  [in] | detections | Span of Detection;
  [in] | landmarks5 | Span of Landmarks5;
  [out] | scores | span of estimations,

See Also
  LivenessOneShotRGBEstimation;

Parameters

  [in] | qualityThreshold | quality threshold;

Returns
  Error code

See Also
  FSDKError for details

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

virtual Result<FSDKError> fsdk::ILivenessOneShotRGBEstimator::validate | ( | fsdk::Span< const fsdk::Image > | images,
|  | fsdk::Span< const fsdk::Detection > | detections,
|  | Span< const Landmarks5 > | landmarks5,
|  | Span< Result< FSDKError >> | errors
| ) |  | const
| pure virtual noexcept

Validate input of multiple frames in a single function call.

Parameters

  [in] | images | span of input images.
  [in] | detections | span of detection coords of corresponding source images.
  [in] | landmarks5 | span of landmarks
  [out] | errors | output span of errors for each image.

Returns
  Error code;

See Also
  FSDKError for details.

Note
  all spans should be based on user owned continuous collections.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/ILivenessOneShotRGBEstimator.h